Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.crowd
Class CrowdAdminProvider

    java.lang.Object
      org.jivesoftware.openfire.crowd.CrowdAdminProvider

All Implemented Interfaces:
  AdminProvider

    public class CrowdAdminProvider

extends Object
implements AdminProvider

Admin provider which will map a crowd group with openfire authorized admin users

Constructor Summary
`CrowdAdminProvider()`

Method Summary
`List<org.xmpp.packet.JID>` | `getAdmins()` Returns a list of JIDs of accounts with administrative privileges.
`boolean` | `isReadOnly()` Indicates whether the admin list is read-only or not.
`void` | `setAdmins(List<org.xmpp.packet.JID> admins)` Sets the list of admin accounts, by JID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrowdAdminProvider

    public CrowdAdminProvider()

Method Detail

### getAdmins

    public List<org.xmpp.packet.JID> getAdmins()

  Description copied from interface: `AdminProvider`
  Returns a list of JIDs of accounts with administrative privileges.

  Specified by:
    `getAdmins` in interface `AdminProvider`
  Returns:
    The list of admin users.

### setAdmins

    public void setAdmins(List<org.xmpp.packet.JID> admins)

  Description copied from interface: `AdminProvider`
  Sets the list of admin accounts, by JID.

  Specified by:
    `setAdmins` in interface `AdminProvider`
  Parameters:
    `admins` - List of JIDs of accounts to grant admin access to.

### isReadOnly

    public boolean isReadOnly()

  Description copied from interface: `AdminProvider`
  Indicates whether the admin list is read-only or not. In other words, whether an admin can change who is an admin from the Openfire admin interface.

  Specified by:
    `isReadOnly` in interface `AdminProvider`
  Returns:
    True or false if the admin list can be edited.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.